# Return the list of generated files for a given ini file 
# This is used by the build system, do not use this yourself!

from dune.testtools.parser import parse_ini_file

import sys

ini = parse_ini_file(sys.argv[1])
section = ini["formcompiler"]
operators = section.get("operators", "operator")

result = []
for operator in [i.strip() for i in operators.split(",")]:
    ssection = ini.get("formcompiler.{}".format(operator), {})
    if ssection.get("filename", None):
        result.append(ssection["filename"])
    else:
        classname = ssection.get("classname", "{}Operator".format(ssection.get("form", operator)))
        result.append("{}_{}_file.hh".format(sys.argv[2], classname))

sys.stdout.write(" ".join(result))
